% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils-check-dupe-rows.R
\name{check_duplicate_rows}
\alias{check_duplicate_rows}
\title{Check for Duplicate Rows in a Data Frame}
\usage{
check_duplicate_rows(.data)
}
\arguments{
\item{.data}{A data frame.}
}
\value{
A logical vector indicating whether each row is a duplicate or not.
}
\description{
This function checks for duplicate rows in a data frame.
}
\details{
This function checks for duplicate rows by comparing each row in the
data frame to every other row. If a row is identical to another row, it is
considered a duplicate.
}
\examples{
data <- data.frame(
  x = c(1, 2, 3, 1),
  y = c(2, 3, 4, 2),
  z = c(3, 2, 5, 3)
)

check_duplicate_rows(data)

}
\seealso{
\code{\link{duplicated}}, \code{\link{anyDuplicated}}

Other Utility: 
\code{\link{convert_to_ts}()},
\code{\link{quantile_normalize}()},
\code{\link{tidy_mcmc_sampling}()},
\code{\link{util_beta_aic}()},
\code{\link{util_binomial_aic}()},
\code{\link{util_cauchy_aic}()},
\code{\link{util_chisq_aic}()},
\code{\link{util_exponential_aic}()},
\code{\link{util_gamma_aic}()},
\code{\link{util_geometric_aic}()},
\code{\link{util_hypergeometric_aic}()},
\code{\link{util_logistic_aic}()},
\code{\link{util_lognormal_aic}()},
\code{\link{util_normal_aic}()},
\code{\link{util_pareto_aic}()},
\code{\link{util_poisson_aic}()},
\code{\link{util_uniform_aic}()},
\code{\link{util_weibull_aic}()}
}
\author{
Steven P. Sanderson II, MPH
}
\concept{Utility}
